﻿using System;
using System.Collections.Generic;
using System.Text;
using System.IO;

using ESRI.ArcGIS.Geoprocessing;
using ESRI.ArcGIS.GeoprocessingUI;
using ESRI.ArcGIS.Geodatabase;

namespace JAMBWOW
{
    public class cmdMAwareStripMapGen : ESRI.ArcGIS.Desktop.AddIns.Button
    {
        public cmdMAwareStripMapGen()
        {
        }

        protected override void OnClick()
        {
            try
            {
                //const string ToolboxFolderName = "Python";
                //const string ToolboxFileName = "DDPUtil.tbx";
                //string ToolboxPath = GenUtil.GetProgramPath() + @"\" + ToolboxFolderName;            
                //----------------------------------


                string sProgramPath = GenUtil.GetProgramPath();

                //Set a reference to the IGPCommandHelper2 interface.
                IGPToolCommandHelper2 pToolHelper = new GPToolCommandHelperClass() as IGPToolCommandHelper2;

                //Set the tool you want to invoke.
                string toolboxName = sProgramPath + @"\Python\StripMapToolBox.tbx";
                pToolHelper.SetToolByName(toolboxName, "StripMapGenerator");

                //Create the messages object and a bool to pass to the InvokeModal method.
                IGPMessages msgs;
                msgs = new GPMessagesClass();
                bool pok = true;

                //Invoke the tool. 
                pToolHelper.InvokeModal(0, null, out pok, out msgs);
            }
            catch (Exception pException)
            {
                GenUtil.ShowError(pException);
            }
        }

        protected override void OnUpdate()
        {
        }
    }
}
