﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace JAMBWOW
{
    public class ExportParameters
    {
        //Static properites        
        public static List<ExportFileType> FILE_TYPES = new List<ExportFileType>();

        //Static constructor
        static ExportParameters()
        {
            //Initialize the list of file types
            FILE_TYPES.Add(new ExportFileType("EMF",".emf"));            
            FILE_TYPES.Add(new ExportFileType("EPS",".eps"));
            FILE_TYPES.Add(new ExportFileType("AI",".ai"));
            FILE_TYPES.Add(new ExportFileType("PDF",".pdf"));
            FILE_TYPES.Add(new ExportFileType("SVG",".svg"));
            FILE_TYPES.Add(new ExportFileType("BMP",".bmp"));
            FILE_TYPES.Add(new ExportFileType("JPEG",".jpg"));
            FILE_TYPES.Add(new ExportFileType("PNG",".png"));
            FILE_TYPES.Add(new ExportFileType("TIFF",".tif"));
            FILE_TYPES.Add(new ExportFileType("GIF",".gif"));              
        }

        //Instance properties
        public string BaseFileName;
        public ExportFileType FileType;
        public PageRangeUtil.PageRangeTypes PageRangeType;
        public string PageList;               
        public bool OutputDisabledPages;
    }
}
