﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Runtime.InteropServices;
using System.Collections;

namespace JAMBWOW
{
    public class TempFileCollection
    {
        private ArrayList TempFiles = new ArrayList();

        //Creates a TempFile object and adds it to the collection
        //The temporary file name is chosen by appending a random number to the base name and then appending the file extension.
        //'Returns the name of the temporary file.  It is up to the calling program to create the actual file.
        //'Precondition: BaseName and Extension must contain only characters that are valid in file names.
        //'Postcondition: Returns full path a valid file name, located in the Temp directory
        //'@param BaseName The base name of the file name (before the period)
        //'@param Extension The extension of the file name (after the period)
        //'@return the name of the temporary file
        public string CreateTempFile(string BaseName, string Extension)
        {
            string strFileName;
            //Create a temp file object
            TempFile myTempFile = new TempFile(BaseName, Extension);
            //Add object to collection.
            TempFiles.Add(myTempFile);
            //Return the temp file name
            strFileName = myTempFile.TempFileName();
            return strFileName;
        }
    }
}
